/*
  Copyright (C) 2002-2005 SKYRIX Software AG

  This file is part of OpenGroupware.org.

  OGo is free software; you can redistribute it and/or modify it under
  the terms of the GNU Lesser General Public License as published by the
  Free Software Foundation; either version 2, or (at your option) any
  later version.

  OGo is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
  License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with OGo; see the file COPYING.  If not, write to the
  Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA
  02111-1307, USA.
*/

#include "SxOptionsForm.h"
#include "common.h"

@implementation SxOptionsForm

- (id)initWithName:(NSString *)_name inContainer:(id)_folder {
  if ((self = [super init])) {
    self->name      = [_name copy];
    self->container = [_folder retain];
  }
  return self;
}
- (id)init {
  return [self initWithName:nil inContainer:nil];
}

- (void)dealloc {
  [self->name      release];
  [self->container release];
  [super dealloc];
}

/* response */

- (WOResponse *)appendToResponse:(WOResponse *)r inContext:(id)_ctx {
  WOCookie   *cookie;
  
  [self logWithFormat:@"TODO: tried to access Exchange options ..."];
  //[r setStatus:204 /* No Content */];
  
  cookie = [WOCookie cookieWithName:@"sessionid"
                     value:@"deadbeef-7f79-457d-b1ee-f3c589dfe247,0x0"
                     path:[self baseURLInContext:_ctx]
                     domain:nil expires:nil isSecure:NO];
  
  [r setStatus:200 /* OK */];
  [r setHeader:@"text/html" forKey:@"content-type"];
  [r addCookie:cookie];

#if 0
#  warning Evo 1.4 testmode
  {
    NSData *data;

    data = 
      [NSData dataWithContentsOfMappedFile:@"data/evo/ex2003options.html"];
    NSAssert(data, @"missing data ...");
    [r setContent:data];
  }
#else
  
  [r appendContentString:
       @"<!--Generated By OGo ZideStore-->"
       @"<!--CURRENT FILE== \"IE6\" \"WIN32\" options -->"
       @"<!--CURRENT TEMPLATE == options.00000020 -->"
   ];
  [r appendContentString:
       @"<HTML xmlns:MSIE DIR=LTR>"
       @"<HEAD>"
       @"<META HTTP-EQUIV=\"Content-Type\" CONTENT=\"text/html; CHARSET=utf-8\">"
       @"<META HTTP-EQUIV=\"Pragma\" CONTENT=\"no-cache\">"
       @"<META HTTP-EQUIV=\"Expires\" CONTENT=\"0\">"
       @"<TITLE></TITLE>"
   ];
  
  /* option variables */
  [r appendContentString:@"<SCRIPT language=\"javascript\">"];
  
  [r appendContentString:@"var g_sDelItems = \"./Deleted%20Items\";\n"];
  [r appendContentString:@"var g_sBase = \""];
  [r appendContentHTMLString:[self baseURLInContext:_ctx]];
  [r appendContentString:@"\";\n"];
  
  [r appendContentString:@"var g_szFolder = \".\";\n"];

  // http://192.168.0.125/exchweb
  [r appendContentString:@"var g_szVirtualRoot = \""];
  [r appendContentHTMLString:[self baseURLInContext:_ctx]];
  [r appendContentString:@"\";\n"];
  [r appendContentString:@"var g_szPasswordPage = \"aexp2b.asp\";\n"];
  
  [r appendContentString:
  @"var g_bmpEnableReminders = \"13\";\n"
  @"var g_szDefaultReminder = \"900\";\n"
  @"var g_szNewMailNotify = \"3\";\n"
  @"var g_bAutoSignatureOn = false;\n"
  @"var g_bSignaturePresent = false;\n"
  @"var g_szSpellingIgnoreMixedDigits = \"false\";\n"
  @"var g_szSpellingIgnoreUppercase = \"false\";\n"
  @"var g_szFontName = \"Arial\";\n"
  @"var g_nFontSize = 2;\n"
  @"var g_szFontColor = \"#000000\";\n"
  @"var g_fIsBold = 0;\n"
  @"var g_fIsItalic = 0;\n"
  @"var g_fIsUnderline = 0;\n"
  @"var g_fBlockExternalContent = true;\n"
  @"var g_sFontTag = \"<FONT face='Arial' color=#000000 size=2>&nbsp;</FONT>\";\n"
  ];
  [r appendContentString:@"var g_iSmimeEncrypt=0;\nvar g_iSmimeSign=0;\n"];
  [r appendContentString:@"g_sMimeVersion = \"6,5,6801,0000\";\n"];
  [r appendContentString:@"</SCRIPT>"];
  
  /* close head, start page */
  [r appendContentString:@"</HEAD>"];
  [r appendContentString:@"<BODY>"];
  
  /* the options form (do we need to deliver the full form ?) */
  
  [r appendContentString:@"<FORM name=\"OptionsPageForm\""];
  [r appendContentString:@" action=\""];
  [r appendContentString:[self baseURLInContext:_ctx]];
  [r appendContentString:@"\" method=\"POST\">"];
  [r appendContentString:
       @"<INPUT TYPE=\"hidden\" name=\"Cmd\" value=\"options\" />"];

  [r appendContentString:
       @"<INPUT type=\"radio\" name=\"OofState\" "
       @" id=\"OofState2\" class=optsRadio value=\"1\" >"
       @"<LABEL for=\"OofState2\">I'm currently out of the office</LABEL>"];
  
  [r appendContentString:@"</FORM>"];
  
  /* closed page */
  [r appendContentString:@"</BODY>"];
  [r appendContentString:@"</HTML>"];
#endif
  return r;
}

@end /* SxOptionsForm */
